{"title":"Get applyVendorEntries","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_applyvendorentry_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_applyvendorentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_applyvendorentry_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets an apply vendor entry object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get applyVendorEntries","slug":"get-applyvendorentries","at":0,"chars":1460},{"level":2,"title":"HTTP request","slug":"http-request","at":122,"chars":266},{"level":2,"title":"Request headers","slug":"request-headers","at":388,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":460,"chars":61},{"level":2,"title":"Response","slug":"response","at":521,"chars":129},{"level":2,"title":"Example","slug":"example","at":650,"chars":603},{"level":2,"title":"Remarks","slug":"remarks","at":1253,"chars":70},{"level":2,"title":"Related information","slug":"related-information","at":1323,"chars":137}],"text":"# Get applyVendorEntries\nRetrieves the properties and relationships of an apply vendor entry object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/vendorPaymentJournals({id})/vendorPayments({id})/applyVendorEntries({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an applyVendorEntry object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/applyVendorEntries({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\" : \"5d115c9c-44e3-ea11-bb43-000d3a2feca1\",\n    \"applied\" : true,\n    \"appliesToId\" : \"1e8cb9c0-44e3-ea11-bb43-000d3a2feca1\",\n    \"postingDate\" : \"2020-10-05\",\n    \"documentType\" : \"Invoice\",\n    \"documentNumber\" : \"2001\",\n    \"externalDocumentNumber\" : \"2001\",\n    \"vendorNumber\" : \"10000\",\n    \"vendorName\" : \"First Up Consultants\",\n    \"description\" : \"\",\n    \"remainingAmount\" : 0\n}\n```\n## Remarks\nThis resource type requires Business Central version 18.0.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_applyvendorentry"}